# Created by pyp2rpm-3.3.1
%global pypi_name modint

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %mkrel 6
Summary:        Python implementation of the Chinese Remainder algorithm
Group:          Development/Python
License:        MIT
URL:            https://github.com/shlomif/modint
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(click) >= 6.0
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Python implementation of the Chinese Remainder algorithm.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click) >= 6.0
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Python implementation of the Chinese Remainder algorithm.

%package -n python-%{pypi_name}-doc
Summary:        modint documentation

%description -n python-%{pypi_name}-doc
Documentation for modint

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc docs/readme.rst README.rst
%{_bindir}/modint
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.2.1-6.mga8
+ Revision: 1532722
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.2.1-5.mga8
+ Revision: 1442917
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.2.1-4.mga8
+ Revision: 1435679
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.2.1-3.mga7
+ Revision: 1353355
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.1-2.mga7
+ Revision: 1289194
- Mageia 7 Mass Rebuild

* Wed May 02 2018 shlomif <shlomif> 0.2.1-1.mga7
+ Revision: 1224680
- add BRs
- New version 0.2.1
- add BRs
- build fixes
- pyp2rpm

